﻿namespace ChatRoom;

public class ChatRoomService : ChatRoomContract.IChatRoomService
{
    //NOTE: instance-per-request service would need logic to be static or injected from a singleton instance
    private readonly ChatRoomLogic logic = new ChatRoomLogic();

    public int RegisterClient(string name)
    {
        return logic.RegisterClient(name);
    }

    public void ApproveMessage(int messageId)
    {
        logic.ApproveMessage(messageId);
    }

    public ChatRoomContract.Message? GetNewMessage()
    {
        return logic.GetNewMessage();
    }

    public int GetStrikes(int clientId)
    {
        throw new NotImplementedException();
    }

    public void RejectMessage(int messageId)
    {
        throw new NotImplementedException();
    }

    public bool SendMessage(int clientId, string contents, bool needsToBeCensored)
    {
        return logic.SendMessage(clientId, contents, needsToBeCensored);
    }
}
